Autor Tópico: Erro pacote quebrado.  (Lida 830 vezes)

Offline flms2014

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Erro pacote quebrado.
« Online: 09 de Março de 2017, 09:32 »
Olá pessoal, estou com uma problema de pacote quebrado que não consigo resolver. Abaixo segue o erro quando tento passar o comando apt-get intall -f

Desde já Agradeço pela ajuda.

(Lendo banco de dados ... 730759 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../snapd_2.22.6~14.04_amd64.deb ...
Failed to stop snapd.refresh.timer: Unit snapd.refresh.timer not loaded.
Failed to stop snapd.refresh.service: Unit snapd.refresh.service not loaded.
Failed to stop snapd.autoimport.service: Unit snapd.autoimport.service not loaded.
Failed to stop snapd.socket: Unit snapd.socket not loaded.
dpkg: aviso: sub-processo antigo script pre-removal retornou estado de saída de erro 5
dpkg: em vez disso a tentar script do novo pacote ...
Failed to stop snapd.refresh.timer: Unit snapd.refresh.timer not loaded.
Failed to stop snapd.refresh.service: Unit snapd.refresh.service not loaded.
Failed to stop snapd.autoimport.service: Unit snapd.autoimport.service not loaded.
Failed to stop snapd.socket: Unit snapd.socket not loaded.
dpkg: erro ao processar o arquivo /var/cache/apt/archives/snapd_2.22.6~14.04_amd64.deb (--unpack):
 sub-processo novo script pre-removal retornou estado de saída de erro 5
Erros foram encontrados durante o processamento de:
 /var/cache/apt/archives/snapd_2.22.6~14.04_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Offline platao

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.946
    • Ver perfil
Re:Erro pacote quebrado.
« Resposta #1 Online: 09 de Março de 2017, 09:34 »
tente esse comando;

sudo rm /var/lib/apt/lists/* ; sudo rm /var/lib/apt/lists/partial/* ; sudo apt-get clean ; sudo apt-get -f install
\\\\\\\\Apostilas Dicas e Guias do Ubuntu\\\\\\\\\> http://ubuntuforum-br.org/index.php/topic,79368.msg440997.html#msg440997

Offline flms2014

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Re:Erro pacote quebrado.
« Resposta #2 Online: 09 de Março de 2017, 10:31 »
Retornou com o erro abaixo,

sudo rm /var/lib/apt/lists/* ; sudo rm /var/lib/apt/lists/partial/* ; sudo apt-get clean ; sudo apt-get -f install
[sudo] senha para fabio:
rm: não foi possível remover '/var/lib/apt/lists/partial': É um diretório
rm: não foi possível remover '/var/lib/apt/lists/partial/*': Arquivo ou diretório não encontrado
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os pacotes a seguir serão REMOVIDOS:
  snapd
0 pacotes atualizados, 0 pacotes novos instalados, 1 a serem removidos e 0 não atualizados.
Depois desta operação, 49,6 MB de espaço em disco serão liberados.
Você quer continuar? [S/n] s
(Lendo banco de dados ... 730758 ficheiros e directórios actualmente instalados.)
A remover snapd (2.22.3~14.04) ...
Failed to stop snapd.refresh.timer: Unit snapd.refresh.timer not loaded.
Failed to stop snapd.refresh.service: Unit snapd.refresh.service not loaded.
Failed to stop snapd.autoimport.service: Unit snapd.autoimport.service not loaded.
Failed to stop snapd.socket: Unit snapd.socket not loaded.
dpkg: erro ao processar o pacote snapd (--remove):
 sub-processo script pre-removal instalado retornou estado de saída de erro 5
Erros foram encontrados durante o processamento de:
 snapd
E: Sub-process /usr/bin/dpkg returned an error code (1)

Offline leigoLinux

  • Usuário Ubuntu
  • *
  • Mensagens: 191
    • Ver perfil
Re:Erro pacote quebrado.
« Resposta #3 Online: 25 de Abril de 2017, 07:38 »
Muito bom aprender sobre os repositorios, comandos apt. Entendendo vc consegue resolver seus problemas.

editado pela moderação
foram removidos dois links que apenas funcionavam como publicidade
não é proibido citar sites desde que eles estejam inseridos no contexto, com soluções ligadas diretamente ao problema em questão

att,
nomade
« Última modificação: 06 de Agosto de 2017, 01:19 por nomade »

Offline nomade

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 1.127
  • O negócio não tem alma
    • Ver perfil
Re:Erro pacote quebrado.
« Resposta #4 Online: 25 de Abril de 2017, 11:01 »
Retornou com o erro abaixo,

sudo rm /var/lib/apt/lists/* ; sudo rm /var/lib/apt/lists/partial/* ; sudo apt-get clean ; sudo apt-get -f install
[sudo] senha para fabio:
rm: não foi possível remover '/var/lib/apt/lists/partial': É um diretório
rm: não foi possível remover '/var/lib/apt/lists/partial/*': Arquivo ou diretório não encontrado
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os pacotes a seguir serão REMOVIDOS:
  snapd
0 pacotes atualizados, 0 pacotes novos instalados, 1 a serem removidos e 0 não atualizados.
Depois desta operação, 49,6 MB de espaço em disco serão liberados.
Você quer continuar? [S/n] s
(Lendo banco de dados ... 730758 ficheiros e directórios actualmente instalados.)
A remover snapd (2.22.3~14.04) ...
Failed to stop snapd.refresh.timer: Unit snapd.refresh.timer not loaded.
Failed to stop snapd.refresh.service: Unit snapd.refresh.service not loaded.
Failed to stop snapd.autoimport.service: Unit snapd.autoimport.service not loaded.
Failed to stop snapd.socket: Unit snapd.socket not loaded.
dpkg: erro ao processar o pacote snapd (--remove):
 sub-processo script pre-removal instalado retornou estado de saída de erro 5
Erros foram encontrados durante o processamento de:
 snapd
E: Sub-process /usr/bin/dpkg returned an error code (1)

Tente:

sudo rm -rf /var/lib/apt/lists/*

Depois:

sudo apt update

Aí tente:

sudo dpkg --configure -a
« Última modificação: 25 de Abril de 2017, 11:08 por nomade »
Rodando Ubuntu 17.10 com: AMD Bulldozer FX-6100 3.3GHz 6-Core Black Edition/ Gigabyte 78LMT-S2P/ 8GB 1600MHz / Radeon R7 260X 2GB GDDR5

Offline selvaking

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 945
  • Parque Anchieta - Rio de Janeiro - RJ
    • Ver perfil
Re:Erro pacote quebrado.
« Resposta #5 Online: 25 de Abril de 2017, 13:58 »
Remove na marra o pacote.

Código: [Selecionar]
sudo dpkg -P snapd
Dê-me um computador com o Tux que movo o mundo!

Linux User #323049